Zeitgeist.TimeRange – zeitgeist-2.0 Reference Manual

# TimeRange

## Object Hierarchy:

## Description:

public class TimeRange : `Object`

Immutable representation of an interval in time, marked by a beginning and an end

A light, immutable, encapsulation of an interval in time, marked by a beginning and an end.

Namespace: Zeitgeist
Package: zeitgeist-2.0

## Content:

### Properties:

- public `int64` start { get; }
- public `int64` end { get; }

### Creation methods:

- public TimeRange (`int64` start_msec, `int64` end_msec)
- public TimeRange.anytime ()
- public TimeRange.to_now ()
- public TimeRange.from_now ()
- public TimeRange.from_variant (`Variant` variant) throws DataModelError
  Create a #TimeRange from a variant.

### Methods:

- public `Variant` to_variant ()
- public TimeRange? intersect (TimeRange time_range)
  Check whether two time ranges are intersecting.

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count